org.apache.ignite.internal.cache.query.index

## Class IndexQueryResult<K,V>

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.IndexQueryResult<K,V>

    public class IndexQueryResult<K,V>
    extends Object

Represents result of local execution of IndexQuery.

### Constructor Summary

Constructors
Constructor and Description
`IndexQueryResult(IndexQueryResultMeta metadata, GridCloseableIterator<IgniteBiTuple<K,V>> iter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCloseableIterator<IgniteBiTuple<K,V>>` `iter()`
`IndexQueryResultMeta` `metadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryResult

    public IndexQueryResult(IndexQueryResultMeta metadata,
                            GridCloseableIterator<IgniteBiTuple<K,V>> iter)

### Method Detail

#### iter

    public GridCloseableIterator<IgniteBiTuple<K,V>> iter()

#### metadata

    public IndexQueryResultMeta metadata()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023